Subject: bug#63764: 30.0.50; pixel-scroll-precision-mode starts skipping pages after selecting region

From: Patrick Poitras <[email-masked]>
Date: Mon, 29 May 2023 09:41:18 -0700

I am aware of this, as mentioned above. I agree we need someone on non-X11
PGTK to test this, otherwise this just falls outside of scope. My previous
post was simply to confirm that the problem on X11 + PGTK is also present
on emacs-29, which isn't surprising considering pixel-scroll.el has barely
changed since then.

Cheers,
Patrick

On Sun, May 28, 2023 at 5:43 PM Po Lu <[email-masked]> wrote:

> Patrick Poitras <[email-masked]> writes:
>
> > I can confirm that it's also present on the emacs-29 branch, with PGTK
> on X11.
> >
> > Patrick
> >
> > On Sun, May 28, 2023 at 11:26 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Patrick Poitras <[email-masked]>
> >  > Date: Sun, 28 May 2023 10:52:13 -0700
> >  > Cc: [email-masked]
> >  >
> >  > Given it's 100% reproducible on my build, I went ahead with some
> testing of configuration options.
> >  >
> >  > It seems related to PGTK. ./configure --with-pgtk has the bug whereas
> the version without it does not.
> >  > Given the warning message about using PGTK with X11, I assume that
> this falls under the same
> >  > umbrella, and that I should go complain to the package builders.
> >
> >  Thanks.  It'd be important to know whether this problem also exists on
> >  the emacs-29 branch (I'd guess it does), in which case its urgency
> >  will go up significantly.  Can someone please try this in a PGTK build
> >  of the emacs-29 branch, and report back?  TIA.
>
> I've said this many times: we don't support using the PGTK build on X
> Windows, due to the frankly abysmal quality of GDK's X11 backend.
> Unless this also happens on Wayland or Broadway, I will close this bug.
>
> Try a regular X configuration instead.
>